﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3034B: (1 year) VER VISA /9500+4Hd
DATE:                  2017-03-07 09:18:13
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       226
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.024  VISA         *RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query VISA

  1.027  MATH         @UUT_Manufacturer = "Tektronix"
  1.028  MATH         @UUT_Model        = "TDS 3034B"
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Check Firmware Version
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Datron 9500 Configuration Query IEEE

  1.034  MATH         L[1] = (@HeadTypeCh1 == "9560")
  1.035  MATH         L[1] = L[1] + (@HeadTypeCh2 == "9560")
  1.036  MATH         L[1] = L[1] + (@HeadTypeCh3 == "9560")
  1.037  MATH         L[1] = L[1] + (@HeadTypeCh4 == "9560")

  1.038  IF           L[1] > 0

  1.039  HEAD         EQUIPMENT REQUIREMENTS
  1.040  OPBR         -z Do you want to REVIEW the list of additional
  1.040  OPBR         equipment and/or accessories required?

  1.041  IF           MEM1
  1.042  DISP         - Adapter SMA(f)-BNC(m) ([L1] ea. for 9560 Active Heads)
  1.043  ENDIF

  1.044  ENDIF

  1.045  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.046  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.047  JMPL         END                           @Abort

  1.048  CALL         Sub Tek TDS3000 Self-Test VISA
  1.049  JMPL         END                           @Abort

  1.050  IF           @HeadTypeCh1 == "9560"
  1.051  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.052  ELSE
  1.053  MATH         Ch1Adapter = ""
  1.054  ENDIF

  1.055  IF           @HeadTypeCh2 == "9560"
  1.056  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.057  ELSE
  1.058  MATH         Ch2Adapter = ""
  1.059  ENDIF

  1.060  IF           @HeadTypeCh3 == "9560"
  1.061  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.062  ELSE
  1.063  MATH         Ch3Adapter = ""
  1.064  ENDIF

  1.065  IF           @HeadTypeCh4 == "9560"
  1.066  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.067  ELSE
  1.068  MATH         Ch4Adapter = ""
  1.069  ENDIF

  1.070  DISP         Connect the 9500 to the UUT as follows:
  1.070  DISP
  1.070  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.070  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.070  DISP         CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.070  DISP         CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.071  MATH         @Chan = 1
  1.072  M9500                       CH1
  1.073  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.074  MATH         @Chan = 2
  1.075  M9500                       CH2
  1.076  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.077  MATH         @Chan = 3
  1.078  M9500                       CH3
  1.079  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.080  MATH         @Chan = 4
  1.081  M9500                       CH4
  1.082  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.083  MATH         @Chan = 1
  1.084  M9500                       CH1
  1.085  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.086  MATH         @Chan = 2
  1.087  M9500                       CH2
  1.088  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.089  MATH         @Chan = 3
  1.090  M9500                       CH3
  1.091  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.092  MATH         @Chan = 4
  1.093  M9500                       CH4
  1.094  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.095  MATH         @Chan = 1
  1.096  M9500                       CH1
  1.097  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.098  MATH         @Chan = 2
  1.099  M9500                       CH2
  1.100  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.101  MATH         @Chan = 3
  1.102  M9500                       CH3
  1.103  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.104  MATH         @Chan = 4
  1.105  M9500                       CH4
  1.106  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.107  MATH         @Chan = 1
  1.108  M9500                       CH1
  1.109  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.110  MATH         @Chan = 2
  1.111  M9500                       CH2
  1.112  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.113  MATH         @Chan = 3
  1.114  M9500                       CH3
  1.115  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.116  MATH         @Chan = 4
  1.117  M9500                       CH4
  1.118  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.119  MATH         @Chan = 1
  1.120  M9500                       CH1
  1.121  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /9500

  1.122  LABEL        END
  1.123  HEAD         -2

  1.124  IF           @Abort
  1.125  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.126  ELSE
  1.127  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.128  ENDIF

  1.129  END
